# Point Class

Defined in: `js/geom/Point.js:9`
Module: geom
Parent Module: StructureJS

The Point object represents a location in a two-dimensional coordinate system, where x represents the horizontal axis and y represents the vertical axis.

## Index

Show: Inherited Protected Private Deprecated

### Properties

- x
- y

## Properties

### `x` Number public

Defined in `js/geom/Point.js:22`

The horizontal coordinate of the point.

### `y` Number public

Defined in `js/geom/Point.js:30`

The vertical coordinate of the point.

There are no properties that match your current filter settings. You can change your filter settings in the index section on this page. index

## Constructor

### `Point` ()

Defined in `js/geom/Point.js:9`